Subject: Re: [PATCH] arm64: dts: marvell: armada-37xx: drop 'marvell,usb-misc-reg' properties

From: Gregory CLEMENT <[email-masked]>
Date: Fri, 13 Mar 2026 16:57:37 +0100

Gabor Juhos <[email-masked]> writes:

> Hi Andrew,
>
> 2026. 03. 05. 14:28 keltezéssel, Andrew Lunn írta:
>> On Thu, Mar 05, 2026 at 08:54:34AM +0100, Gregory CLEMENT wrote:
>>> Hello Andrew,
>>>
>>>> On Wed, Mar 04, 2026 at 08:12:43PM +0100, Gabor Juhos wrote:
>>>>> The 'marvell,usb-misc-reg' property is present both in the EHCI and
>>>>> in the XHCI USB host device nodes, however it is not documented. Thus
>>>>> 'make dtbs_check' produces warnings like these:
>>>>>
>>>>>   /arch/arm64/boot/dts/marvell/armada-3720-db.dtb: usb@58000 (marvell,armada3700-xhci): Unevaluated properties are not allowed ('marvell,usb-misc-reg' was unexpected)
>>>>>           from schema $id: http://devicetree.org/schemas/usb/generic-xhci.yaml
>>>>>   /arch/arm64/boot/dts/marvell/armada-3720-db.dtb: usb@5e000 (marvell,armada-3700-ehci): Unevaluated properties are not allowed ('marvell,usb-misc-reg' was unexpected)
>>>>>           from schema $id: http://devicetree.org/schemas/usb/generic-ehci.yaml
>>>>>
>>>>> Apart from the fact that the properties are not documented, those are
>>>>> not even used by any USB host drivers. At least 'git grep' says this:
>>>>>
>>>>>   $ git grep -n 'marvell.usb-misc-reg' v7.0-rc2
>>>>>   v7.0-rc2:Documentation/devicetree/bindings/phy/marvell,armada-3700-utmi-phy.yaml:30:  marvell,usb-misc-reg:
>>>>>   v7.0-rc2:Documentation/devicetree/bindings/phy/marvell,armada-3700-utmi-phy.yaml:41:  - marvell,usb-misc-reg
>>>>>   v7.0-rc2:Documentation/devicetree/bindings/phy/marvell,armada-3700-utmi-phy.yaml:50:      marvell,usb-misc-reg = <&usb2_syscon>;
>>>>>   v7.0-rc2:arch/arm64/boot/dts/marvell/armada-37xx.dtsi:372:                              marvell,usb-misc-reg = <&usb32_syscon>;
>>>>>   v7.0-rc2:arch/arm64/boot/dts/marvell/armada-37xx.dtsi:383:                              marvell,usb-misc-reg = <&usb32_syscon>;
>>>>>   v7.0-rc2:arch/arm64/boot/dts/marvell/armada-37xx.dtsi:396:                              marvell,usb-misc-reg = <&usb2_syscon>;
>>>>>   v7.0-rc2:arch/arm64/boot/dts/marvell/armada-37xx.dtsi:406:                              marvell,usb-misc-reg = <&usb2_syscon>;
>>>>>   v7.0-rc2:drivers/phy/marvell/phy-mvebu-a3700-utmi.c:231:                                                         "marvell,usb-misc-reg");
>>>>
>>>
>>> I don't follow:
>>>
>>>> The phy-mvebu-a3700-utmi.c does use it, and does document it:
>>>>
>>>>   marvell,usb-misc-reg:
>>>>     description:
>>>>       Phandle on the "USB miscellaneous registers" shared region
>>>>       covering registers related to both the host controller and
>>>>       the PHY.
>>>>     $ref: /schemas/types.yaml#/definitions/phandle
>>>>
>>>> And the patch which added the property to the USB nodes also added the
>>>> PHY nodes.
>>>>
>>>> commit 05d168a56fae8ff50432d5dfe6e7423b989455a8
>>>> Author: Miquel Raynal <[email-masked]>
>>>> Date:   Tue Jan 29 10:36:34 2019 +0100
>>>>
>>>>     arm64: dts: marvell: armada-37xx: declare USB2 UTMI PHYs
>>>>
>>>
>>> You stated that the property is used and was properly added.
>> 
>> I can understand your confusion. The commit message is not great. I
>> had to read quite a bit of code to convince myself the change is
>> correct.
>
>> The property is used and documented in the Generic PHY driver,
>> phy-mvebu-a3700-utmi.c. And the properties being removed are in USB
>> nodes. The properties in the PHY node are not removed.
>> 
>> The properties in the USB node have never been used, as far as i can
>> see.
>
> Thank you for the review, and sorry about the confusing commit message. Perhaps
> I should have skipped the 'git grep' part.
>
> @Gregory: Shall I send a v2 with a reworded the commit message?

Yes please it would be nice if you can do it.

Gregory

> Regards,
> Gabor

-- 
Grégory CLEMENT, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com